/* CSS Document */

#main{
	margin-bottom: clamp(24px, calc(56 / 1200 * 100dvw), 56px);
}

#topics{
	display: grid;
	grid-template-columns: 1fr var(--wrap) 1fr;
	overflow: hidden;
	&>*{
		grid-column: 2;
	}
	&:before{
		content: "";
		grid-column: 1 / 4;
		grid-row: 1;
		background: var(--color-theme) url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="none" viewBox="0 0 1366 400"><path fill="white" opacity="0.1" d="M1366,23.59c-49.72-11.77-99.48-14.67-129.8-13.61-72.45,2.53-178.28,33.01-293.37,99-115.09,66-225.53,101.23-331.84,117.95-106.31,16.72-223.2,3.97-276.26-12.54s-163.7-59.58-216.27-89.37C118.46,125.02,65.87,92.63,0,85.07v262.08c42.97,5.38,91.05,1.56,142.21-15.86,145.25-49.45,176.76-76.57,288.31-79.7,111.56-3.13,200.19,20.55,289.72,42.68,89.53,22.12,389.57,114.18,563.27,86.69,29.99-4.75,57.55-11.84,82.48-20.89V23.59Z"/></svg>') no-repeat center -24px / max(640px, 100%) clamp(240px, calc(400 / 1200 * 100dvw), 400px);
	}
	& h2{
		grid-row: 1;
		display: grid;
		grid-template-columns: auto auto;
		justify-content: center;
		align-items: center;
		column-gap: 0.5em;
		margin: clamp(48px, calc(64 / 1200 * 100dvw), 64px) 0;
		color: #fff;
		font-weight: 700;
		font-size: clamp(24px, calc(35 / 768 * 100dvw), 35px);
		&:before{
			content: "";
			aspect-ratio: 1;
			width: 1em;
			background: currentColor;
			-webkit-mask: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 453 453"><path d="M46.46,121.96c-12.32,0-24.14,4.89-32.85,13.61-8.71,8.71-13.61,20.53-13.61,32.85v92.92c0,12.32,4.89,24.14,13.61,32.85,8.71,8.71,20.53,13.61,32.85,13.61h23.23v92.92c0,6.16,2.45,12.07,6.8,16.43,4.36,4.36,10.27,6.8,16.43,6.8h46.46c6.16,0,12.07-2.45,16.43-6.8,4.36-4.36,6.8-10.27,6.8-16.43v-92.92h69.69l116.15,92.92V29.04l-116.15,92.92H46.46ZM302,131.25v167.26l-46.46-37.17H46.46v-92.92h209.08l46.46-37.17ZM394.92,121.96v185.85c35.77-17.19,58.08-53.2,58.08-92.92s-22.53-75.5-58.08-92.92Z"/></svg>') no-repeat center / contain;
		}
	}
	&:has(#tab){
		&:before{
			grid-row: 1 / 3;
		}
		#tab{
			grid-row: 2;
		}
	}
}

#list{
	margin-top: clamp(48px, calc(64 / 1200 * 100dvw), 64px);
	& section{
		position: relative;
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		grid-gap: 8px 16px;
		&:nth-child(n+2){
			padding-top: 16px;
			border-top: 1px solid var(--color-theme);
		}
		&:not(:last-child){
			padding-bottom: 16px;
		}
	}
	& h3{
		order: 1;
		width: 100%;
		font-weight: 500;
		font-size: clamp(14px, calc(16 / 768 * 100dvw), 16px);
		letter-spacing: 0.05em;
	}
	& h3+div{
		display: contents;
		& time{
			font-weight: 500;
			font-size: clamp(12px, calc(14 / 768 * 100dvw), 14px);
			letter-spacing: 0.05em;
		}
		& ul{
			display: flex;
			flex-wrap: wrap;
			grid-gap: 8px;
		}
		& li{
			display: grid;
			align-items: center;
			width: 6em;
			padding: 0 0.5em;
			background: var(--color-theme);
			border-radius: 2px;
			color: #fff;
			font-weight: 500;
			font-size: clamp(10px, calc(11 / 768 * 100dvw), 11px);
			letter-spacing: 0.05em;
			text-align: center;
			text-transform: uppercase;
			&.tagNew{
				background: #c51e50;
			}
		}
		& a{
			position: absolute;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
			font-size: 0;
		}
	}
}

#tab{
	display: grid;
	grid-template-columns: var(--wrap);
	justify-content: center;
	& ul{
		display: grid;
		column-gap: clamp(8px, calc(16 / 1200 * 100dvw), 16px);
		& a{
			grid-row: 1;
		}
		@media (min-width: 768px) {
			grid-template-columns: repeat(2, 1fr);
			&:has(li:nth-child(3)){
				grid-template-columns: repeat(3, 1fr);
			}
			&:has(li:nth-child(4)){
				grid-template-columns: repeat(4, auto);
			}
		}
		@media (min-width: 992px) {
			grid-template-columns: repeat(3, 1fr);
			&:has(li:nth-child(4)){
				grid-template-columns: repeat(4, 1fr);
			}
		}
	}
	& li{
		display: contents;
	}
	& a{
		position: relative;
		display: grid;
		align-items: center;
		column-gap: 8px;
		min-height: 48px;
		padding: 8px 0.5em 4px 0.5em;
		background: #e8e8e8;
		border-radius: 2px 2px 0 0;
		color: inherit;
		font-weight: 700;
		font-size: clamp(14px, calc(18 / 768 * 100dvw), 18px);
		letter-spacing: 0.05em;
		text-align: center;
		text-decoration: none;
		word-break: keep-all;
		overflow-wrap: anywhere;
		&:before{
			content: "";
			position: absolute;
			top: 0;
			left: 0;
			width: 100%;
			height: 6px;
			background: #d3e3f2;
			border-radius: 2px;
		}
		.select &{
			background: #d3e3f2;
		}
	}
}

#pagenation{
	margin-top: clamp(32px, calc(56 / 1200 * 100dvw), 56px);
}





